Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Storable_Base Class Reference

`#include <Storable.h>`

Inheritance diagram for TAO_Storable_Base:

[legend]
List of all members.

## Public Methods
| TAO_Storable_Base ()
virtual | ~TAO_Storable_Base ()
virtual void | remove ()=0
virtual int | exists ()=0
virtual int | open ()=0
virtual int | close ()=0
virtual int | flock (int whence, int start, int len)=0
virtual int | funlock (int whence, int start, int len)=0
virtual time_t | last_changed (void)=0
virtual TAO_Storable_Base & | operator<< (const TAO_NS_Persistence_Header &header)=0
virtual TAO_Storable_Base & | operator<< (const TAO_NS_Persistence_Record &record)=0
virtual TAO_Storable_Base & | operator>> (TAO_NS_Persistence_Header &header)=0
virtual TAO_Storable_Base & | operator>> (TAO_NS_Persistence_Record &record)=0
virtual TAO_Storable_Base & | operator<< (const TAO_NS_Persistence_Global &global)=0
virtual TAO_Storable_Base & | operator>> (TAO_NS_Persistence_Global &global)=0

## Constructor & Destructor Documentation

ACE_INLINE TAO_Storable_Base::TAO_Storable_Base | ( |  | ) |

ACE_INLINE TAO_Storable_Base::~TAO_Storable_Base | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual int TAO_Storable_Base::close | ( |  | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual int TAO_Storable_Base::exists | ( |  | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual int TAO_Storable_Base::flock | ( | int | whence,
|  | int | start,
|  | int | len
| ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual int TAO_Storable_Base::funlock | ( | int | whence,
|  | int | start,
|  | int | len
| ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual time_t TAO_Storable_Base::last_changed | ( | void |  | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual int TAO_Storable_Base::open | ( |  | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual TAO_Storable_Base& TAO_Storable_Base::operator<< | ( | const TAO_NS_Persistence_Global & | global | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual TAO_Storable_Base& TAO_Storable_Base::operator<< | ( | const TAO_NS_Persistence_Record & | record | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual TAO_Storable_Base& TAO_Storable_Base::operator<< | ( | const TAO_NS_Persistence_Header & | header | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual TAO_Storable_Base& TAO_Storable_Base::operator>> | ( | TAO_NS_Persistence_Global & | global | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual TAO_Storable_Base& TAO_Storable_Base::operator>> | ( | TAO_NS_Persistence_Record & | record | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual TAO_Storable_Base& TAO_Storable_Base::operator>> | ( | TAO_NS_Persistence_Header & | header | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

virtual void TAO_Storable_Base::remove | ( |  | ) | `[pure virtual]`

| Implemented in TAO_NS_FlatFileStream.

The documentation for this class was generated from the following files:

- Storable.h
- Storable.inl